# Uses of Interface
java.lang.classfile.attribute.SignatureAttribute

Packages that use SignatureAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of SignatureAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type SignatureAttribute
Modifier and Type
Method
Description
`static AttributeMapper<SignatureAttribute>`
Attributes.`signature()`
Returns the mapper for the `Signature` attribute.

## Uses of SignatureAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type SignatureAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`SignatureAttribute`
Models the `Signature` attribute (JVMS §4.7.9), which indicates the generic signature of this structure.
Methods in java.lang.classfile.attribute that return SignatureAttribute
Modifier and Type
Method
Description
`static SignatureAttribute`
SignatureAttribute.`of(ClassSignature classSignature)`
Returns a `Signature` attribute for a class.
`static SignatureAttribute`
SignatureAttribute.`of(Utf8Entry signature)`
Returns a `Signature` attribute.
`static SignatureAttribute`
SignatureAttribute.`of(MethodSignature methodSignature)`
Returns a `Signature` attribute for a method.
`static SignatureAttribute`
SignatureAttribute.`of(Signature signature)`
Returns a `Signature` attribute for a field or a record component.